Recreate a container with new settings
POST
/api/docker/nodes/{nodeId}/containers/{containerId}/recreate
const url = 'https://gateway.example.com/api/docker/nodes/550e8400-e29b-41d4-a716-446655440000/containers/550e8400-e29b-41d4-a716-446655440000/recreate';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"image":"example","ports":[{"hostPort":1,"containerPort":1,"protocol":"tcp","hostIp":"0.0.0.0"}],"mounts":[{"hostPath":"example","containerPath":"example","name":"example","readOnly":false}],"entrypoint":["example"],"command":["example"],"workingDir":"example","user":"example","hostname":"example","labels":{"additionalProperty":"example"},"stopTimeout":1,"restartPolicy":"no","maxRetries":1,"memoryLimit":1,"memorySwap":1,"nanoCPUs":1,"cpuShares":1,"pidsLimit":1,"gpu":{"deviceIds":["example"]},"runtimeProfile":"default"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gateway.example.com/api/docker/nodes/550e8400-e29b-41d4-a716-446655440000/containers/550e8400-e29b-41d4-a716-446655440000/recreate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "image": "example", "ports": [ { "hostPort": 1, "containerPort": 1, "protocol": "tcp", "hostIp": "0.0.0.0" } ], "mounts": [ { "hostPath": "example", "containerPath": "example", "name": "example", "readOnly": false } ], "entrypoint": [ "example" ], "command": [ "example" ], "workingDir": "example", "user": "example", "hostname": "example", "labels": { "additionalProperty": "example" }, "stopTimeout": 1, "restartPolicy": "no", "maxRetries": 1, "memoryLimit": 1, "memorySwap": 1, "nanoCPUs": 1, "cpuShares": 1, "pidsLimit": 1, "gpu": { "deviceIds": [ "example" ] }, "runtimeProfile": "default" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”nodeId
required
string
Example
550e8400-e29b-41d4-a716-446655440000containerId
required
string
Example
550e8400-e29b-41d4-a716-446655440000Request Bodyrequired
Section titled “Request Bodyrequired”JSON request body
Media typeapplication/json
object
image
string
ports
Array<object>
object
hostPort
required
integer
containerPort
required
integer
protocol
string
hostIp
string format: ip
mounts
Array<object>
object
hostPath
string
containerPath
required
string
name
string
readOnly
boolean
entrypoint
Array<string>
command
Array<string>
workingDir
string
user
string
hostname
string
labels
object
key
additional properties
string
stopTimeout
integer
restartPolicy
string
maxRetries
integer
memoryLimit
integer
memorySwap
integer
nanoCPUs
integer
cpuShares
integer
pidsLimit
integer
gpu
object
deviceIds
required
Array<string>
runtimeProfile
string
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
data
required
Resource object. Exact fields depend on the endpoint.
object
id
string
name
string
key
additional properties
Example
{ "data": { "id": "nginx-prod", "name": "nginx-prod", "image": "nginx:1.27", "state": "running", "ports": [ "80/tcp" ] }}Bad request
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "VALIDATION_ERROR", "message": "Request validation failed", "details": [ { "path": [ "name" ], "message": "Required" } ]}Authentication required
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNAUTHORIZED", "message": "Authentication required"}Forbidden
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "FORBIDDEN", "message": "Insufficient permissions"}Not found
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "NOT_FOUND", "message": "Resource not found"}Conflict
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "CONFLICT", "message": "Resource already exists"}Unprocessable entity
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNPROCESSABLE_ENTITY", "message": "Request could not be processed"}Internal server error
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "INTERNAL_ERROR", "message": "Internal server error"}